Subject: [Idr] Fwd: New Version Notification for draft-ietf-idr-rfc5575bis-21.txt

From: Christoph Loibl <[email-masked]>
Date: Thu, 16 Apr 2020 23:11:09 +0200

IDR, 

I just uploaded the -21(!) revision of the rfc5575bis draft to correct the nits pointed out by the latest reviews.

A new version of I-D, draft-ietf-idr-rfc5575bis-21.txt
has been successfully submitted by Christoph Loibl and posted to the
IETF repository.

Name:		draft-ietf-idr-rfc5575bis
Revision:	21
Title:		Dissemination of Flow Specification Rules
Document date:	2020-04-16
Group:		idr
Pages:		37
URL:            https://www.ietf.org/internet-drafts/draft-ietf-idr-rfc5575bis-21.txt <https://www.ietf.org/internet-drafts/draft-ietf-idr-rfc5575bis-21.txt>
Status:         https://datatracker.ietf.org/doc/draft-ietf-idr-rfc5575bis/ <https://datatracker.ietf.org/doc/draft-ietf-idr-rfc5575bis/>
Htmlized:       https://tools.ietf.org/html/draft-ietf-idr-rfc5575bis-21 <https://tools.ietf.org/html/draft-ietf-idr-rfc5575bis-21>
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-idr-rfc5575bis <https://datatracker.ietf.org/doc/html/draft-ietf-idr-rfc5575bis>
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-rfc5575bis-21 <https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-rfc5575bis-21>

Cheers 
Christoph

-- 
Christoph Loibl
[email-masked] | CL8-RIPE | PGP-Key-ID: 0x4B2C0055 | http://www.nextlayer.at

---

From: Alvaro Retana <[email-masked]>
Date: Thu, 16 Apr 2020 14:16:57 -0700

Hi!

Just a counter-nit.

In §7, the reference to rfc4360 (where the extended communities are
defined) shouldn’t have changed to rfc7153 (a reorganization of the
registries).

Perhaps s/standardizes as BGP extended community values
[RFC7153]/standardizes as BGP extended communities [RFC4360]

Thanks!

Alvaro.

On April 16, 2020 at 5:11:44 PM, Christoph Loibl ([email-masked]) wrote:

I just uploaded the -21(!) revision of the rfc5575bis draft to correct the
nits pointed out by the latest reviews.

---

From: Christoph Loibl <[email-masked]>
Date: Thu, 16 Apr 2020 23:29:09 +0200

Hi Alvaro,

I have taken some notes about this change in github which I did not send out yet:

The original suggestion for this change this was from:

Reviewer: Gyan Mishra

Nits/editorial comments:
7. Traffic Filtering Actions
This document defines a minimum set of Traffic Filtering Actions that
it standardizes as BGP extended community values [RFC4360]

Any mention of [RFC4360] should be updated with [RFC7153] IANA Registries for BGP Extended Communities.

This is from the notes on github that will go with the changes (tomorrow):

Since the paragraph is about the value not the BGP extended community itself I think this is feasible. However there is another Section 7.4. with a reference to RFC 4360 this is about technical aspects and encoding into the extended community values (pointing directly to sections of RFC 4360). I think this reference should not be changed.

However I have no strong opinion about the change in section 7. both documents are closely related one about the technical aspects (this is why I did not change section 7.4) and the other about organisation of the codepoints/values.

I can revert this reverence to point to RFC4360 again (which it initially did).

Cheers 
Christoph

> On 16.04.2020, at 23:16, Alvaro Retana <[email-masked]> wrote:
> 
> Hi!
> 
> Just a counter-nit.
> 
> In §7, the reference to rfc4360 (where the extended communities are defined) shouldn’t have changed to rfc7153 (a reorganization of the registries).
> 
> Perhaps s/standardizes as BGP extended community values [RFC7153]/standardizes as BGP extended communities [RFC4360]
> 
> 
> Thanks!
> 
> Alvaro.
> 
> On April 16, 2020 at 5:11:44 PM, Christoph Loibl ([email-masked] <mailto:[email-masked]>) wrote:
>

---

From: Alvaro Retana <[email-masked]>
Date: Thu, 16 Apr 2020 15:18:31 -0700

Yeah…that’s why I suggested this change: s/standardizes as BGP extended
community values [RFC7153]/standardizes as BGP extended communities
[RFC4360]

We’re standardizing the Traffic Filtering actions as ECs, not as values..

Thanks!

Alvaro.

On April 16, 2020 at 5:29:15 PM, Christoph Loibl ([email-masked]) wrote:

Since the paragraph is about the value not the BGP extended community
itself I think this is feasible. However there is another Section 7.4. with
a reference to RFC 4360 this is about technical aspects and encoding into
the extended community values (pointing directly to sections of RFC 4360).
I think this reference should not be changed.